JBoss API: Interface ContainerRemote

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Interface ContainerRemote

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  JRMPContainerInvoker

public interface ContainerRemote
extends java.rmi.Remote

The remote interface of a container.

Version:
  $Revision: 1.8 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)

Field Summary
`static long` | `STARTUP` The time when this class was initialized.

Method Summary
`java.rmi.MarshalledObject` | `invoke(java.rmi.MarshalledObject mi)` Invoke a remote object instance.
`java.lang.Object` | `invoke(java.lang.Object id, java.lang.reflect.Method m, java.lang.Object[] args, javax.transaction.Transaction tx, java.security.Principal identity, java.lang.Object credential)` Invoke a local object instance.
`java.rmi.MarshalledObject` | `invokeHome(java.rmi.MarshalledObject mi)` Invoke the remote home instance.
`java.lang.Object` | `invokeHome(java.lang.reflect.Method m, java.lang.Object[] args, javax.transaction.Transaction tx, java.security.Principal identity, java.lang.Object credential)` Invoke the local home instance.

Field Detail

### STARTUP

    public static final long STARTUP

  The time when this class was initialized. Used to determine if this instance lives in the same VM as the container.

Method Detail

### invokeHome

    public java.rmi.MarshalledObject invokeHome(java.rmi.MarshalledObject mi)
                                         throws java.lang.Exception

  Invoke the remote home instance.
  Parameters:
    `mi` - The marshalled object representing the method to invoke.
  Returns:
    Return value of method invocation.
  Throws:
    `java.lang.Exception` - Failed to invoke method.

### invoke

    public java.rmi.MarshalledObject invoke(java.rmi.MarshalledObject mi)
                                     throws java.lang.Exception

  Invoke a remote object instance.
  Parameters:
    `mi` - The marshalled object representing the method to invoke.
  Returns:
    Return value of method invocation.
  Throws:
    `java.lang.Exception` - Failed to invoke method.

### invokeHome

    public java.lang.Object invokeHome(java.lang.reflect.Method m,
                                       java.lang.Object[] args,
                                       javax.transaction.Transaction tx,
                                       java.security.Principal identity,
                                       java.lang.Object credential)
                                throws java.lang.Exception

  Invoke the local home instance.
  Parameters:
    `m` - The method to invoke.
    `args` - The arguments to the method.
    `tx` - The transaction to use for the invocation.
    `idendity` - The principal to use for the invocation.
    `credential` - The credentials to use for the invocation.
  Returns:
    Return value of method invocation.
  Throws:
    `java.lang.Exception` - Failed to invoke method.

### invoke

    public java.lang.Object invoke(java.lang.Object id,
                                   java.lang.reflect.Method m,
                                   java.lang.Object[] args,
                                   javax.transaction.Transaction tx,
                                   java.security.Principal identity,
                                   java.lang.Object credential)
                            throws java.lang.Exception

  Invoke a local object instance.
  Parameters:
    `id` - The identity of the object to invoke.
    `m` - The method to invoke.
    `args` - The arguments to the method.
    `tx` - The transaction to use for the invocation.
    `idendity` - The principal to use for the invocation.
    `credential` - The credentials to use for the invocation.
  Returns:
    Return value of method invocation.
  Throws:
    `java.lang.Exception` - Failed to invoke method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.